#include "xicExtractionMethodMzRange.h"

XicExtractionMethodMzRange::XicExtractionMethodMzRange() {
}

XicExtractionMethodMzRange::~XicExtractionMethodMzRange() {
}


pappso::PrecisionP XicExtractionMethodMzRange::getPappsoPrecision() const {
    return pappso::Precision::getDaltonInstance((_max_mz_range + _min_mz_range)/2);
}
void
XicExtractionMethodMzRange::printInfos(QTextStream & out) const {
    out << "\t xic extraction method 'mz range' parameters :" << endl;
    out << "\t _min_mz_range = " << _min_mz_range << endl;
    out << "\t _max_mz_range = " << _max_mz_range << endl;
}


pappso::MassRange XicExtractionMethodMzRange::getPappsoMassRange(pappso::mz mz) const {
  return (pappso::MassRange(mz, pappso::Precision::getDaltonInstance(_min_mz_range), pappso::Precision::getDaltonInstance(_max_mz_range)));
}